"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const extendo_error_1 = require("extendo-error");
class InvalidArgumentNamesError extends extendo_error_1.default {
    constructor(argumentNames) {
        super();
        if (argumentNames.length === 1) {
            this.message = `unrecognised argument ${this._extractArgumentName(argumentNames[0])}.`;
        }
        else {
            this.message = `unrecognised arguments ${argumentNames
                .map(this._extractArgumentName)
                .join(" and ")}.`;
        }
    }
    _extractArgumentName(argument) {
        return `"${argument.replace(/[-]*/, "")}"`;
    }
}
exports.InvalidArgumentNamesError = InvalidArgumentNamesError;
//# sourceMappingURL=invalid-argument-names-error.js.map