"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
const deprecate_1 = require("../maintenance/deprecate");
function createSetupTeardownDecorator(metadataDescription, isAsync) {
    return (target, decoratedPropertyKey, descriptor) => {
        const functions = Reflect.getMetadata(metadataDescription, target) || [];
        if (isAsync) {
            const functionName = metadataDescription
                .replace("alsatian:", "")
                .replace("-fixture", "Fixture")
                .replace("setup", "Setup")
                .replace("teardown", "Teardown");
            deprecate_1.deprecate(`Async${functionName}`, "4.0.0", `Use the ${functionName} decorator instead.`);
        }
        functions.push({
            isAsync,
            propertyKey: decoratedPropertyKey
        });
        Reflect.defineMetadata(metadataDescription, functions, target);
    };
}
exports.createSetupTeardownDecorator = createSetupTeardownDecorator;
//# sourceMappingURL=create-setup-teardown-decorator.js.map