"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
const _metadata_keys_1 = require("./_metadata-keys");
function markPropertyAsTest(propertyKey, target) {
    let tests = Reflect.getMetadata(_metadata_keys_1.TESTS, target);
    if (!tests) {
        tests = [
            {
                key: propertyKey
            }
        ];
        Reflect.defineMetadata(_metadata_keys_1.TESTS, tests, target);
    }
    else if (tests.filter(test => test.key === propertyKey).length === 0) {
        tests.push({
            key: propertyKey
        });
        Reflect.defineMetadata(_metadata_keys_1.TESTS, tests, target);
    }
}
exports.markPropertyAsTest = markPropertyAsTest;
//# sourceMappingURL=mark-property-as-test.js.map