"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
const _metadata_keys_1 = require("./_metadata-keys");
const unused_1 = require("../unused");
const mark_property_as_test_1 = require("./mark-property-as-test");
function TestCase(...testCaseArguments) {
    return (target, propertyKey, descriptor) => {
        unused_1.Unused(descriptor);
        mark_property_as_test_1.markPropertyAsTest(propertyKey, target);
        let testCases = Reflect.getMetadata(_metadata_keys_1.TEST_CASES, target, propertyKey);
        if (!testCases) {
            testCases = [];
        }
        testCases.unshift({
            caseArguments: testCaseArguments
        });
        Reflect.defineMetadata(_metadata_keys_1.TEST_CASES, testCases, target, propertyKey);
    };
}
exports.TestCase = TestCase;
//# sourceMappingURL=test-case-decorator.js.map