import { FunctionSpy } from "../spying";
import { FunctionSpyMatcher } from "./function-spy-matcher";
import { Matcher } from "./matcher";
import { AnyFunction } from "../_interfaces";
export declare class FunctionMatcher<T extends AnyFunction> extends Matcher<FunctionSpy | T> {
    toThrow(): void;
    toThrowAsync(): Promise<void>;
    toThrowError(errorType: new (...args: Array<any>) => Error, errorMessage: string): void;
    toThrowErrorAsync(errorType: new (...args: Array<any>) => Error, errorMessage: string): Promise<void>;
    toHaveBeenCalled(): FunctionSpyMatcher;
    toHaveBeenCalledWith(...expectedArguments: Parameters<T>): FunctionSpyMatcher;
    private _stringifyArguments;
    private _getError;
    private _getAsyncError;
    private _errorMatches;
    private _callArgumentsMatch;
    private _isFunctionSpyOrSpiedOnFunction;
}
