/// <reference types="node" />
import { Readable as ReadableStream } from "stream";
import { ITestFixture } from "./_interfaces";
import { TestCaseResult } from "./results";
export declare class TestOutputStream extends ReadableStream {
    _read(): void;
    end(): void;
    emitVersion(): void;
    emitPlan(testCount: number): void;
    emitFixture(fixture: ITestFixture): void;
    emitLog(...logs: Array<string>): void;
    emitWarning(...warnings: Array<string>): void;
    emitResult(testId: number, result: TestCaseResult): void;
    private _writeLogs;
    private _writeOut;
    private _emitPass;
    private _emitSkip;
    private _emitFail;
    private _writeMatchErrorOutput;
    private _writeUnhandledErrorOutput;
    private extrasWithLogs;
    private _writeFailure;
}
